CURSEOFWAR-SDL(6)

NAME
curseofwar-sdl - An SDL version of the game curseofwar.

SYNOPSIS
curseofwar [ -c port ] [ -C IP ] [ -d difficulty ] [ -e port ]
    [ -E clients ] [ -h ] [ -H height ] [ -i inequality ]
    [ -l countries ] [ -q quality ] [ -r ] [ -R seed ] [ -s speed ] [ -S shape ] [ -T ] [ -v ] [ -W width ]

DESCRIPTION
See the main CURSEOFWAR manpage for detailed information about the game. The SDL version provides the same command line arguments as the original ncurses version.

OPTIONS

-c port
    Clients's port (19150 is default).

-C IP
    Start a client and connect to the provided server's IP-address.

-d [ee|e|n|h|hh]
    Difficulty level (AI) from the easiest to the hardest (default is normal).

-e port
    Server's port (19140 is default).

-E [1|2| ... L]
    Start a server for not more than L clients.

-h  Display this help

-H height
    Map height (default is 21, maximum is 29)

-i [0|1|2|3|4]
    Inequality between the countries (0 is the lowest, 4 in the highest).

-l [2|3| ... N]
    Sets L, the number of countries (default is N).

-q [1|2| ... L]
    Choose player's location by its quality (1 = the best available on the map, L = the worst). Only in the singleplayer mode.

-r  Absolutely random initial conditions, overrides options -l, -i, and -q.

-R seed
    Specify a random seed (unsigned integer) for map generation.

-s [p|sss|ss|s|n|f|ff|fff]
    Game speed from the slowest to the fastest (default is normal).

-S [rhombus|rect|hex]
    Map shape (rectangle is default). Max number of countries N=4 for rhombus and rectangle, and N=6 for the hexagon.

-T  Show the timeline.

-v  Display the version number

-W width
    Map width (default is 21, maximum is 40)

AUTHORS
Game:
Alexey Nikolaev <koiwai at yandex dot com>
Makefile:
Maximilian Dietrich <dxm at openmailbox dot org>
Anton Balashov <sicness at darklogic dot ru>
Kirill Dmitrenko <kdmitrenko at gmail dot com>
CMakeLists.txt and Windows support:
Yves Quemener
Manpage:
Anton Balashov <sicness at darklogic dot ru>
Maximilian Dietrich <dxm at openmailbox dot org>